Production Operations Management Service (POMS) - Bug #20978

Need time range limit in poms_submission_agent.py...
09/28/2018 02:05 PM - Marc Mengel

Status: Closed Start date: 09/28/2018
Priority: Normal Due date:

Assignee: Marc Mengel % Done: 100%
Category: Estimated time: 0.00 hour
Target version: vd 1.0 Spent time: 0.00 hour
First Occurred: Experiment: -

Scope: Internal Stakeholders:

Description

Currently the poms_submission_agent always requests the jobs since the last time it successfully got job info. However if for some
reason a given experiments job list times out, this snowballs, as the bigger time window
of the second and later requests is even less likely to complete in the timeout than the preveious attempt...

What we need is a piece of code in there that slices up the needed time period into requests of a given time width; and if the request
timed out previously, to slice it up into smaller pieces than last time(?).

then we can also make that last-time-we-checked dictionary a persistent python "shelf", so we recover better from the agent being
off-line.

Associated revisions

Revision 7¢71c057 - 12/04/2018 02:24 PM - Marc Mengel
draft of change for #20978

History

#1 - 10/10/2018 09:30 AM - Stephen White

- Assignee set to Marc Mengel

#2 - 12/04/2018 02:25 PM - Marc Mengel

Just put in a change to limit this to max 3600 secs == 1 hour.

#3 - 12/19/2018 03:34 PM - Marc Mengel
- Status changed from New to Resolved

- % Done changed from 0 to 100

#4 - 02/12/2019 03:11 PM - Stephen White

- Status changed from Resolved to Closed
